> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.ard.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiweatherforecastmodels



## OpenAPI

````yaml https://sahabah-prod.devops.arabiaweather.com/openapi.json get /api/weather/forecast/models
openapi: 3.1.0
info:
  title: sahabah-api
  description: ''
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://sahabah-prod.devops.arabiaweather.com
    description: Production API server
  - url: https://sahabah-stg.devops.arabiaweather.com
    description: Staging API server
security: []
tags:
  - name: System
    description: System health and monitoring endpoints
  - name: Aviation
    description: Aviation data parsing endpoints
  - name: Weather
    description: Weather data and forecasting endpoints
  - name: Reports
    description: Forecast accuracy analysis and reporting endpoints
paths:
  /api/weather/forecast/models:
    get:
      tags:
        - Weather
      operationId: get_weather_models
      parameters:
        - name: x-api-key
          in: header
          description: API key for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Weather models successfully retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WeatherModelsResponse'
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      security:
        - x-api-key: []
components:
  schemas:
    WeatherModelsResponse:
      type: object
      required:
        - models
      properties:
        models:
          type: array
          items:
            type: string

````